## hash-slinger 2.5

=== Makefile ===
#
# A basic Makefile
#

BIN     = $(DESTDIR)/usr/bin
MAN     = $(DESTDIR)/usr/share/man/man1

all: man
	
install:
	install -m 0755 -d $(BIN)
	install -m 0755 sshfp $(BIN)
	install -m 0755 tlsa $(BIN)
	install -m 0755 openpgpkey $(BIN)
	install -m 0755 -d $(MAN)
	install -m 0644 *.1 $(MAN)
	gzip $(MAN)/*.1

man:	man-page
man-page: sshfp.1 tlsa.1 openpgpkey.1

sshfp.1: sshfp.1.xml
	xmlto man sshfp.1.xml

tlsa.1: tlsa.1.xml
	xmlto man tlsa.1.xml

openpgpkey.1: openpgpkey.1.xml
	xmlto man openpgpkey.1.xml

clean:
	-rm -f sshfp.1 tsla.1 openpgpkey.1

dist-clean:
	@echo Nothing to dist-clean - This is a python script

=== debian/changelog ===
hash-slinger (2.5-1) unstable; urgency=low

  * Initial release (Closes: #709621)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 Jan 2014 11:36:02 +0100

=== debian/control ===
Source: hash-slinger
Section: utils
Priority: extra
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 8), xmlto
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/collab-maint/hash-slinger.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/hash-slinger.git;a=summary

Package: hash-slinger
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 python,
	 python-dnspython,
	 python-argparse,
	 python-unbound,
	 python-ipaddr,
	 python-gnupg,
	 openssh-client,
	 python-m2crypto
Replaces: sshfp
Conflicts: sshfp
Provides: sshfp
Description: tools to generate special DNS records
 This package contains various tools to generate special DNS records:
 .
  * sshfp      Generate RFC-4255 SSHFP DNS records
  * tlsa       Generate RFC-6698 TLSA DNS records via TLS
  * openpgpkey Generate RFC-<TBD> OPENPGPKEY DNS records

## hash-slinger 2.6

=== debian/changelog ===
hash-slinger (2.6-1) unstable; urgency=medium

  * New upstream version 2.6
   - openpgpkey: Added --fetch option to fetch a public key from DNS [Paul]
   - openpgpkey: Update rrtype from private use to IANA allocation (#61) [Paul]
   - openpgpkey: Remove no longer needed --rrtype option [Paul]
   - openpgpkey: Ignore uft-8/iso-8859-1 encoding errors in keyring data [Paul]
   - openpgpkey: Add --uid option to override id check in received key data [Paul]
   - openpgpkey: fix 0x99 (') character problems in base64 [Paul]
   - openpgpkey: Fix OPENPGPKEY native base64 output to be correct [Paul]
   - sshfp: Support for RFC 6594 [Gerald Turner]
   - sshfp: Support for draft-moonesamy-sshfp-ed25519-01 [Gerald Turner]
   - tlsa: New option --rootkey and --dlvkey [Paul]
   - tlsa: Try to find rootkey in various locations in achor or key format [Paul]
   - tlsa: abort unsupported STARTTLS on port 25 (rhbz#1010276) [Paul]
   - ipseckey: new command for generating RFC-4025 IPSECKEY records [Paul]  
  * Import patches to fix default paths to root.key and modify them to use
    root.key from dns-root-data package (Closes: #738489) (Courtesy of
    Gerald Turner)
  * Add git-import-orig configuration to not import upstream debian/
    directory

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Jan 2015 10:40:58 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,9 @@
 	 python-ipaddr,
 	 python-gnupg,
 	 openssh-client,
-	 python-m2crypto
+	 python-m2crypto,
+	 ca-certificates,
+	 dns-root-data
 Replaces: sshfp
 Conflicts: sshfp
 Provides: sshfp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

## hash-slinger 2.7

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,13 @@
 	install -m 0755 sshfp $(BIN)
 	install -m 0755 tlsa $(BIN)
 	install -m 0755 openpgpkey $(BIN)
+	install -m 0755 ipseckey $(BIN)
 	install -m 0755 -d $(MAN)
 	install -m 0644 *.1 $(MAN)
 	gzip $(MAN)/*.1
 
 man:	man-page
-man-page: sshfp.1 tlsa.1 openpgpkey.1
+man-page: sshfp.1 tlsa.1 openpgpkey.1 ipseckey.1
 
 sshfp.1: sshfp.1.xml
 	xmlto man sshfp.1.xml
@@ -28,6 +29,9 @@
 openpgpkey.1: openpgpkey.1.xml
 	xmlto man openpgpkey.1.xml
 
+ipseckey.1: ipseckey.1.xml
+	xmlto man ipseckey.1.xml
+
 clean:
 	-rm -f sshfp.1 tsla.1 openpgpkey.1

=== debian/changelog ===
hash-slinger (2.7-1~bpo8+1) jessie-backports; urgency=medium

  * Backport for Jessie (8)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Aug 2016 10:28:19 +0200

hash-slinger (2.7-1) unstable; urgency=medium

  * Imported Upstream version 2.7 (Closes: #817894)
  * Move hash-slinger to pkg-dns packaging group
  * Set default root.key path on Debian to /usr/share/dns/root.key

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Mar 2016 14:28:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: hash-slinger
 Section: utils
 Priority: extra
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 8), xmlto
 Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/collab-maint/hash-slinger.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/hash-slinger.git;a=summary
+Vcs-Git: git://git.debian.org/pkg-dns/hash-slinger.git
+Vcs-Browser: http://git.debian.org/?p=pkg-dns/hash-slinger.git;a=summary
 
 Package: hash-slinger
 Architecture: any

## hash-slinger 3.1

=== debian/changelog ===
hash-slinger (3.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix: "tlsa can produce invalid records" (Closes: #1053483)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 05 Oct 2023 10:37:58 -0400

hash-slinger (3.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove the unused dependency on python3-ipaddr. (Closes: #1003578)
  * debian/control: Add Homepage.

 -- Adrian Bunk <bunk@debian.org>  Thu, 10 Feb 2022 08:03:46 +0200

hash-slinger (3.1-1) unstable; urgency=medium

  * Update d/control (Closes: #899533)
  * Update d/watch, update d/gbp.conf
  * New upstream version 3.1 (Closes: #775048, #780498, #738494)
  * d/control: Port to python3 (Closes: #927132, #834971, #738490
  * Add ${python3:Depends} to Depends
  * Final touches to d/control: policy version, priority optional

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 17:40:02 +0100

=== debian/control ===
Source: hash-slinger
Section: utils
Priority: optional
Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               xmlto
Standards-Version: 4.5.1
Homepage: https://github.com/letoams/hash-slinger
Vcs-Git: https://salsa.debian.org/dns-team/hash-slinger.git
Vcs-Browser: https://salsa.debian.org/dns-team/hash-slinger

Package: hash-slinger
Architecture: any
Depends: ca-certificates,
         dns-root-data,
         openssh-client,
         python3-dnspython,
         python3-gnupg (>= 0.3.7),
         python3-m2crypto (>= 0.24.0),
         python3-unbound,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Replaces: sshfp
Conflicts: sshfp
Provides: sshfp
Description: tools to generate special DNS records
 This package contains various tools to generate special DNS records:
 .
  * sshfp      Generate RFC-4255 SSHFP DNS records
  * tlsa       Generate RFC-6698 TLSA DNS records via TLS
  * openpgpkey Generate RFC-<TBD> OPENPGPKEY DNS records

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with python3
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hash-slinger-$1\.tar\.gz/ \
  https://github.com/letoams/hash-slinger/tags .*/v?(\d\S+)\.tar\.gz

## hash-slinger 3.5

=== debian/changelog ===
hash-slinger (3.5-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Import new upstream version (Closes: #1126463, #1118256)
  * d/copyright: correct Source

 -- Bastian Germann <bage@debian.org>  Mon, 26 Jan 2026 20:53:48 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
          openssh-client,
          python3-dnspython,
          python3-gnupg (>= 0.3.7),
-         python3-m2crypto (>= 0.24.0),
+         python3-cryptography,
          python3-unbound,
          ${misc:Depends},
          ${python3:Depends},
